Subject: bug#50767: 28.0.50; Warnings about snprintf in image.c on armv7l

From: "Basil L. Contovounesios" <[email-masked]>
Date: Thu, 14 Oct 2021 17:37:23 +0100

Eli Zaretskii [2021-10-14 12:01 -0400] wrote:

>> From: "Basil L. Contovounesios" <[email-masked]>
>> Cc: Alan Third <[email-masked]>,  [email-masked]
>> Date: Thu, 14 Oct 2021 16:42:24 +0100
>> 
>> > AFAIR, there's no need to check the return value of xmalloc, because
>> > it doesn't return if it cannot allocate memory.
>> 
>> Are you thinking about xalloc?
>
> No, I'm thinking xmalloc.
>
>> If not, could you please point me to the part of xmalloc that
>> doesn't return (except for the !initialized branch in memory_full)?
>> I'm afraid I couldn't spot it.
>
> This part:
>
>   if (!val && size)
>     memory_full (size);

Sorry, I thought xsignal in memory_full would return, because I confused
it with nonlocal exits in dynamic modules which do.

Thanks,

-- 
Basil